# STM32F0DISCOVERY Discovery board

## Overview

The STM32F0DISCOVERY helps you to discover the STM32 F0 Cortex™-M0 features and to develop your applications easily. It is based on STM32F051R8T6, an STM32 F0 series 32-bit ARM® Cortex™ microcontroller, and includes an ST-LINK/V2 embedded debug tool, LEDs, push buttons and a prototyping board.

## Getting started

- [User manual](https://www.st.com/resource/en/user_manual/um1525-stm32f0discovery-discovery-kit-for-stm32-f0-microcontrollers-stmicroelectronics.pdf)

### ST-LINK driver installation and firmware upgrade (on Microsoft Windows)

1. Download the latest [ST-LINK driver](https://www.st.com/en/development-tools/stsw-link009.html).
2. Extract the archive and run `dpinst_amd64.exe`. Follow the displayed instructions.
3. Download the latest [ST-LINK firmware upgrade](https://www.st.com/en/development-tools/stsw-link007.html).
4. Extract the archive and run the `ST-LinkUpgrade.exe` program.
5. Connect the board to your PC using a USB cable and wait until the USB enumeration is completed.
6. In the **ST-Link Upgrade** program, press the **Device Connect** button.
7. When the ST-LINK driver is correctly installed, the current ST-LINK version is displayed.
8. Press the **Yes >>>>** button to start the firmware upgrade process.

## Technical reference

- [STM32F051R8 microcontroller](https://www.st.com/en/microcontrollers-microprocessors/stm32f051r8.html)
- [STM32F0DISCOVERY board](https://www.st.com/en/evaluation-tools/stm32f0discovery.html)
- [User manual](https://www.st.com/resource/en/user_manual/um1525-stm32f0discovery-discovery-kit-for-stm32-f0-microcontrollers-stmicroelectronics.pdf)
- [Data brief](https://www.st.com/resource/en/data_brief/stm32f0discovery.pdf)
- [Schematic](https://www.st.com/resource/en/schematic_pack/stm32f0discovery_sch.zip)
